using System;
using System.Text;
using System.Linq;
using System.Numerics;
using System.Collections.Generic;
namespace _3_
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int T=int.Parse(Console.ReadLine());
            HashSet<int>proizvodi=new HashSet<int>();
            StringBuilder resenje=new StringBuilder();
            int zadnji = int.MaxValue;
            int zadnjiproiz = 1;
            for(int i=0; i<T; i++)
            {
                int n = int.Parse(Console.ReadLine());
                if (n == 1)
                {
                    proizvodi.Add(1);
                }
                else
                {
                    if (zadnji < n)
                    {
                        for (int j = zadnji; j <= n; j++)
                        {
                            int proizvod = zadnji;
                            int pom = j;
                            while (pom > 0)
                            {
                                proizvod *= pom % 10;
                                pom /= 10;
                            }
                            proizvodi.Add(proizvod);
                            zadnjiproiz = proizvod;
                        }
                    }
                    for (int j = 2; j <= n; j++)
                    {
                        int proizvod = 1;
                        int pom = j;
                        while(pom>0)
                        {
                            proizvod *= pom % 10;
                            pom/=10;
                        }
                        proizvodi.Add(proizvod);
                        zadnjiproiz = proizvod;
                    }
                    zadnji = n;
                }
                resenje.AppendLine(proizvodi.Count.ToString());
            }
            Console.WriteLine(resenje);
        }
    }
}